#include<math.h>
#include <stdio.h>

int main()
{
    
    long n,x,a,min,max,rez;
    
    scanf("%li %li",&n,&x);
    min=x;
    max=x;
    for(long i=0;i<n;i++){
      scanf("%li",&a);
      if(min>a) min=a;
      if(max<a) max=a;
      
        
    }
    if(x-min>max-x) rez = max-x+max-min;
    else rez=x-min+max-min;
    
    printf("%li",rez);
    
    return 0;
}